Subject: Re: bug#14689: 24.3; gnus freeze while fetching mail

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Jun 2013 11:23:44 -0400

> I have a timer that read e-mail every minute to fetch mail. The timeout
> looks wrong, but I have no idea why. The display refreshes but I can't
> input anything.

C-g (aka `quit') is inhibited while running asynchronous code such as
timers and process filters.

The right way to fix it is to make your timer code short (it should
just initiate the fetch and the fetch itself should then be
asynchronous).  But changing Gnus's fetch to work asynchronously is
a non-trivial task (but one that many people would appreciate), so
you'll probably prefer to just wrap the call to Gnus inside
a with-local-quit.

        Stefan